=== debian/control ===
Source: velvet1.2.02
Section: science
Priority: optional
Maintainer: The Genome Institute <gmt@genome.wustl.edu> 
Build-Depends: cdbs, debhelper (>= 7.1), zlib1g-dev, help2man
Standards-Version: 3.8.3
Homepage: http://www.ebi.ac.uk/~zerbino/velvet/

Package: velvet1.2.02
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: velvet-example
Description: Nucleic acid sequence assembler for very short reads
 Velvet is a de novo genomic assembler specially designed for short read
 sequencing technologies, such as Solexa or 454, developed by Daniel Zerbino and
 Ewan Birney at the European Bioinformatics Institute (EMBL-EBI), near
 Cambridge, in the United Kingdom.
 .
 Velvet currently takes in short read sequences, removes errors then produces
 high quality unique contigs. It then uses paired read information, if
 available, to retrieve the repeated areas between contigs.

Package: velvet-example1.2.02
Architecture: all
Depends: ${misc:Depends}
Description: Example data for the Velvet sequence assembler
 Velvet is a de novo genomic assembler specially designed for short read
 sequencing technologies, such as Solexa or 454, developed by Daniel Zerbino and
 Ewan Birney at the European Bioinformatics Institute (EMBL-EBI), near
 Cambridge, in the United Kingdom.
 .
 Velvet currently takes in short read sequences, removes errors then produces
 high quality unique contigs. It then uses paired read information, if
 available, to retrieve the repeated areas between contigs.
 .
 This package contains the example data distributed in the sources of Velvet,
 a de novo genomic assembler.
