=== debian/watch ===
version=3
http://www.ebi.ac.uk/~zerbino/velvet/velvet_([.\d]*).tgz
